## org.jgroups.blocks
Class TCPConnectionMap.TCPConnection

    java.lang.Object
      org.jgroups.blocks.TCPConnectionMap.TCPConnection

All Implemented Interfaces:
  Connection

Enclosing class:
  TCPConnectionMap

    public class TCPConnectionMap.TCPConnection

extends java.lang.Object
implements Connection

Method Summary
`void` `close()`
`boolean` `isConnected()`
`boolean` `isExpired(long now)`
`boolean` `isOpen()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isExpired

    public boolean isExpired(long now)

  Specified by:
    `isExpired` in interface `Connection`

### isConnected

    public boolean isConnected()

### isOpen

    public boolean isOpen()

  Specified by:
    `isOpen` in interface `Connection`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `Connection`
  Throws:
    `java.io.IOException`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.